declare const _exports: {
    "type": string;
    "properties": {
        "cssModules": {
            "anyOf": ({
                "instanceof": string;
                "type"?: undefined;
            } | {
                "type": string;
                "instanceof"?: undefined;
            })[];
        };
        "pxToRpx": {
            "type": string;
        };
        "cwd": {
            "type": string;
        };
        "progress": {
            "type": string;
        };
        "compressTemplate": {
            "type": string;
        };
        "output": {
            "type": string;
        };
        "rootDir": {
            "type": string;
        };
        "UNSAFE_wechatTemplateDepth": {
            "anyOf": {
                "type": string;
            }[];
        };
        "alias": {
            "type": string;
        };
        "postcss": {
            "type": string;
            "properties": {
                "options": {
                    "type": string;
                };
                "plugins": {
                    "type": string;
                };
                "url": {
                    "type": string;
                    "properties": {
                        "inline": {
                            "type": string;
                        };
                        "maxSize": {
                            "type": string;
                        };
                    };
                };
            };
        };
        "rollupOptions": {
            "anyOf": ({
                "type": string;
                "instanceof"?: undefined;
            } | {
                "instanceof": string;
                "type"?: undefined;
            })[];
        };
    };
    "additionalProperties": boolean;
};
export = _exports;
