"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const output_1 = require("../../utils/output");
const util_1 = require("./util");
const jsonPaths = [];
exports.getjsonPaths = () => jsonPaths;
function json(id) {
    const filePath = id.replace(/\.js$/, '.json');
    if (!fs_1.existsSync(filePath)) {
        output_1.output(`\n🚨 文件 ${filePath} 不存在`, 'red');
        return;
    }
    util_1.pushArray(jsonPaths, filePath);
}
exports.default = json;
