"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const plugin_alias_1 = __importDefault(require("@rollup/plugin-alias"));
function default_1(options) {
    const aliasConfig = Object.entries(options.alias || {}).reduce((config, [key, value]) => {
        config.push({
            find: key,
            replacement: value.match(/^(\.|[^/])/)
                ? path.resolve(options.cwd, value)
                : value,
        });
        return config;
    }, []);
    return plugin_alias_1.default({
        resolve: [
            '',
            '.ts',
            '.js',
            '.tsx',
            '.jsx',
            '/index.js',
            '/index.jsx',
            '/index.ts',
            '/index.tsx',
        ],
        entries: [
            {
                find: 'react-dom',
                replacement: path.resolve(options.cwd, 'node_modules', 'remax/esm'),
            },
            {
                find: '@',
                replacement: path.resolve(options.cwd, options.rootDir),
            },
            ...aliasConfig,
        ],
    });
}
exports.default = default_1;
