import { Plugin } from 'rollup';
/**
 * rollup-plugin-commonjs 把 regenerator-runtime  变成了 es module
 * 然后 es module 默认就是 strict mode
 * 支付宝小程序用 webpack 打包的时候默认会给 es module 加个 use strict。
 */
export default function fixRegeneratorRuntime(): Plugin;
