import { NodePath } from '@babel/traverse';
import * as t from '@babel/types';
import { RemaxOptions } from 'remax-types';
import { Importers, Component } from '../components';
export declare const getKebabCaseName: (sourcePath: string) => string;
declare const _default: (options: RemaxOptions) => () => {
    pre(state: any): void;
    visitor: {
        ImportDeclaration(path: NodePath<t.ImportDeclaration>, state: any): void;
        JSXElement(nodePath: NodePath<t.JSXElement>, state: any): void;
    };
};
export default _default;
export declare const getNativeComponents: () => {
    type: string;
    id: string;
    sourcePath: string;
    props: string[];
    importer: string;
    pages: Set<string>;
    hashId: string;
}[];
export declare const getImporters: () => Importers<Component & {
    hashId: string;
    pages: Set<string>;
}>;
