"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const COLORS = {
    red: '\x1b[31m',
    green: '\x1b[32m',
    yellow: '\x1b[33m',
    blue: '\x1b[34m',
};
const RESET = '\x1b[0m';
exports.output = (content, color) => {
    const message = Array.isArray(content) ? content : [content];
    console.log(`${COLORS[color]}%s${RESET}`, ...message);
};
exports.default = {
    error: (message) => exports.output(`\n🚨 ${message}`, 'red'),
};
