"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getCssModuleConfig(cssModule) {
    let regStr = cssModule.toString();
    if (typeof cssModule === 'boolean') {
        regStr = cssModule ? '^(?!.*.*)' : '(.*)';
    }
    else {
        regStr = '^(?!.*' + cssModule.toString().replace(/^\/|\/$/g, '') + ')';
    }
    return {
        globalModulePaths: [new RegExp(regStr)],
    };
}
exports.default = getCssModuleConfig;
